<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="new-vacation">
    <form class="ui form" id="vacations-form" method="post" th:object="${vacation}" th:action="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_VACATIONS_SAVE}}">
      <input id="limit" th:if="${limit} != null" th:value="${limit}" type="hidden" />
      <input id="dateapproved" th:if="${dateapproved} != null" th:value="${dateapproved}" type="hidden" />
      <input id="minDate" th:if="${minDate} != null" th:value="${minDate}" type="hidden" />
      <input id="maxDate" th:if="${maxDate} != null" th:value="${maxDate}" type="hidden" />
      <h2 class="ui dividing header">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_VACATIONS}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_VACATIONS}}"></span>
      </h2>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STARTINGDATE}}, 
					                                                   field = 'startDay', 
					                                                   required = true,
					                                                   value = ${#dates.format(vacation.startDay, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}, 
					                                                   placeholder = 'Choose the day',
					                                                   columnsize = 'eight wide'
					                                                   )" />
        <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ENDINGDATE}}, 
					                                                   field = 'endDay', 
					                                                   required = false,
					                                                   value = ${#dates.format(vacation.endDay, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}, 
					                                                   placeholder = 'Choose the day',
					                                                   columnsize = 'eight wide'
					                                                   )" />
      </div>
      <br />
      <th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                      	icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                      	icon1url = ''
                                                                      	)" />
    </form>
  </th:block>
</body>
</html>
